Page tree
Contents

12 February 2019

Subject: [DOI Service] Please update to DataCite Schema version 4.1 (versions 2.1 and 2.2 are no longer supported)

 

Dear all, 

Please be informed that DataCite stopped supporting schema versions 2.1 and 2.2 as of last week.   

If you are still using either of these versions, you may have experienced error(s) minting or updating DOIs the past few days. In this regard, we would like to ask you to please update your schema version to the latest, version 4.1 (https://schema.datacite.org/), for you to continue using the ARDC DOI machine-to-machine (API) service.  

There are several differences between version 2.x and version 4.1 of the DataCite schema. However, the only non-backwards compatible change was the introduction of a mandatory ‘resourceType’ element. This element must be included in your DOI metadata in order to pass schema validation. Here are some examples from DataCite:

Note that any DOIs previously minted using version 2.1 or 2.2 of the DataCite schema will still continue to resolve and no immediate action is required. These DOIs will only need to be updated to the latest metadata version if a change is required to their metadata. If you need to mint/modify a DOI while your software is being updated to the latest version of the schema, you can achieve this through the My DOIs interface. 

If you need assistance or have any questions, please do not hesitate to send an email to services@ardc.edu.au.  Thank you.

  • No labels